## ros-rolling-rc-reason-msgs 0.2.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(rc_reason_msgs)
include(cmake/project_version.cmake)

# - Configuration for code optimization -
if (NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE RELEASE CACHE STRING "Build type: DEBUG or RELEASE" FORCE)
endif ()

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

# find dependencies
find_package(ament_cmake REQUIRED)
find_package(rosidl_default_generators REQUIRED)
find_package(std_msgs REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(shape_msgs REQUIRED)
find_package(rc_common_msgs REQUIRED)

set(msg_files
  "msg/Box.msg"
  "msg/CellFillingLevel.msg"
  "msg/CollisionDetection.msg"
  "msg/Compartment.msg"
  "msg/DetectedTag.msg"
  "msg/GridSize.msg"
  "msg/Item.msg"
  "msg/ItemModel.msg"
  "msg/LoadCarrier.msg"
  "msg/LoadCarrierWithFillingLevel.msg"
  "msg/RangeBox.msg"
  "msg/RangeRectangle.msg"
  "msg/RangeValue.msg"
  "msg/Rectangle.msg"
  "msg/RegionOfInterest2D.msg"
  "msg/RegionOfInterest3D.msg"
  "msg/SilhouetteMatchInstance.msg"
  "msg/SilhouetteMatchObject.msg"
  "msg/SuctionGrasp.msg"
  "msg/Tag.msg"
)

set(srv_files
  "srv/CalibrateBasePlane.srv"
  "srv/ComputeGrasps.srv"
  "srv/DeleteBasePlaneCalibration.srv"
  "srv/DeleteLoadCarriers.srv"
  "srv/DeleteRegionsOfInterest2D.srv"
  "srv/DeleteRegionsOfInterest3D.srv"
  "srv/DetectFillingLevel.srv"
  "srv/DetectItems.srv"
  "srv/DetectLoadCarriers.srv"
  "srv/DetectTags.srv"
  "srv/GetBasePlaneCalibration.srv"
  "srv/GetLoadCarriers.srv"
  "srv/GetRegionsOfInterest2D.srv"
  "srv/GetRegionsOfInterest3D.srv"
  "srv/HandEyeCalibration.srv"
  "srv/HandEyeCalibrationTrigger.srv"
  "srv/SetHandEyeCalibration.srv"
  "srv/SetHandEyeCalibrationPose.srv"
  "srv/SetLoadCarrier.srv"
  "srv/SetRegionOfInterest2D.srv"
  "srv/SetRegionOfInterest3D.srv"
  "srv/SilhouetteMatchDetectObject.srv"
)

rosidl_generate_interfaces(${PROJECT_NAME}
  ${msg_files}
  ${srv_files}
  DEPENDENCIES std_msgs geometry_msgs shape_msgs rc_common_msgs
  ADD_LINTER_TESTS
)

ament_export_dependencies(rosidl_default_runtime std_msgs geometry_msgs shape_msgs rc_common_msgs)

ament_package()

######################################
## Define information for packaging ##
######################################
# optionally specify dependencies of the debian package here (comma separated!)
set(CPACK_DEBIAN_PACKAGE_DEPENDS "ros-$ENV{ROS_DISTRO}-std-msgs, ros-$ENV{ROS_DISTRO}-geometry-msgs, ros-$ENV{ROS_DISTRO}-shape-msgs, ros-$ENV{ROS_DISTRO}-rc-common-msgs")
include(cmake/package_debian.cmake)

=== debian/changelog ===
ros-rolling-rc-reason-msgs (0.2.1-1focal) focal; urgency=high

  * fix package dependencies for ROS buildfarm

 -- Felix Ruess <felix.ruess@roboception.de>  Fri, 15 Jan 2021 23:00:00 -0000

ros-rolling-rc-reason-msgs (0.2.0-1focal) focal; urgency=high

  * Added new error values to hand-eye calibration service call definition

 -- Felix Ruess <felix.ruess@roboception.de>  Wed, 13 Jan 2021 23:00:00 -0000

ros-rolling-rc-reason-msgs (0.1.0-1focal) focal; urgency=high

  * initial release

 -- Felix Ruess <felix.ruess@roboception.de>  Tue, 02 Jun 2020 22:00:00 -0000

=== debian/control ===
Source: ros-rolling-rc-reason-msgs
Section: misc
Priority: optional
Maintainer: Felix Ruess <felix.ruess@roboception.de>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-lint-common, ros-rolling-geometry-msgs, ros-rolling-rc-common-msgs, ros-rolling-rosidl-default-generators, ros-rolling-shape-msgs, ros-rolling-std-msgs, ros-rolling-ros-workspace, ros-rolling-rosidl-typesupport-fastrtps-c, ros-rolling-rosidl-typesupport-fastrtps-cpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-rc-reason-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-geometry-msgs, ros-rolling-rc-common-msgs, ros-rolling-rosidl-default-runtime, ros-rolling-shape-msgs, ros-rolling-std-msgs, ros-rolling-ros-workspace
Description: Msg and srv definitions for rc_reason_clients

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-rc-reason-msgs//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-rc-reason-msgs 0.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -31,24 +31,27 @@
   "msg/CollisionDetection.msg"
   "msg/Compartment.msg"
   "msg/DetectedTag.msg"
+  "msg/Grasp.msg"
   "msg/GridSize.msg"
   "msg/Item.msg"
   "msg/ItemModel.msg"
   "msg/LoadCarrier.msg"
+  "msg/LoadCarrierModel.msg"
   "msg/LoadCarrierWithFillingLevel.msg"
+  "msg/Match.msg"
   "msg/RangeBox.msg"
   "msg/RangeRectangle.msg"
   "msg/RangeValue.msg"
   "msg/Rectangle.msg"
   "msg/RegionOfInterest2D.msg"
   "msg/RegionOfInterest3D.msg"
-  "msg/SilhouetteMatchInstance.msg"
   "msg/SilhouetteMatchObject.msg"
   "msg/SuctionGrasp.msg"
   "msg/Tag.msg"
 )
 
 set(srv_files
+  "srv/CadMatchDetectObject.srv"
   "srv/CalibrateBasePlane.srv"
   "srv/ComputeGrasps.srv"
   "srv/DeleteBasePlaneCalibration.srv"

=== debian/changelog ===
ros-rolling-rc-reason-msgs (0.3.1-1jammy) jammy; urgency=high



 -- Felix Ruess <felix.ruess@roboception.de>  Wed, 14 Jun 2023 22:00:00 -0000

ros-rolling-rc-reason-msgs (0.3.0-1jammy) jammy; urgency=high

  * refactor and update for v22.01

 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 07 Feb 2022 23:00:00 -0000

ros-rolling-rc-reason-msgs (0.2.1-1jammy) jammy; urgency=high

  * fix package dependencies for ROS buildfarm

 -- Felix Ruess <felix.ruess@roboception.de>  Fri, 15 Jan 2021 23:00:00 -0000

ros-rolling-rc-reason-msgs (0.2.0-1jammy) jammy; urgency=high

  * Added new error values to hand-eye calibration service call definition

 -- Felix Ruess <felix.ruess@roboception.de>  Wed, 13 Jan 2021 23:00:00 -0000

ros-rolling-rc-reason-msgs (0.1.0-1jammy) jammy; urgency=high

  * initial release

 -- Felix Ruess <felix.ruess@roboception.de>  Tue, 02 Jun 2020 22:00:00 -0000

=== debian/control ===
Source: ros-rolling-rc-reason-msgs
Section: misc
Priority: optional
Maintainer: Felix Ruess <felix.ruess@roboception.de>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-geometry-msgs, ros-rolling-rc-common-msgs, ros-rolling-rosidl-default-generators, ros-rolling-shape-msgs, ros-rolling-std-msgs, ros-rolling-ros-workspace, ros-rolling-rosidl-typesupport-fastrtps-c, ros-rolling-rosidl-typesupport-fastrtps-cpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-rc-reason-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-geometry-msgs, ros-rolling-rc-common-msgs, ros-rolling-rosidl-default-runtime, ros-rolling-shape-msgs, ros-rolling-std-msgs, ros-rolling-ros-workspace
Description: Msg and srv definitions for rc_reason_clients

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
